/******************************************************************************

   FILE				: main.c
   
   CREATED			: 12/12/07
   AUTHOR			: Axiom Manufacturing    					     
						  Spencer Ruggles
						  
	PURPOSE			: Demonstration program for MC9S08SH8 / SG8
 
 ******************************************************************************
 
 	HISTORY:
 	
 	12/12/07			created                                

*******************************************************************************
  Purpose:
  
  Simple Demonstration Program for DEMO9S08SH8/SG8 board

******************************************************************************/

#include <hidef.h>			// for EnableInterrupts macro 
#include "derivative.h"		// include peripheral declarations 

#define SBRVH	0x00;			// SCI Baud Rate Value High
#define SBRVL	0x20;			// SCI Baud Rate Value Low


// User Functions
void wait() {					
	
	if(TPM1SC_TOF) {
		TPM1SC_TOF = 0;			// clr TOF bit if set
	}
	TPM1CNTL = 0x00;				// restart counter
	while(!TPM1SC_TOF);			// wait for overflow
}


// LED[2:1] to count down from 3 - 0 then repeats forever

void main(void) {

	unsigned char temp, n;		// temp variable
	
	DisableInterrupts;			// mask interrupts
	SOPT1_COPT = 0;				// disable COP
	PTBD = 0xC0;					// init PTB[7:6]  
	PTBDD = 0xC0;					// PTBD[7:6] output

// Setup Timer1 Channel 0
	TPM1MODL = 0xFF;				// delay loop count
	TPM1MODH = 0xFF;
	TPM1SC = 0x0E;					// select busclk/64
	TPM1C1SC_ELS1x = 0x00;		// timer channel output pin not used

	while (1) {
		for(n=0; n<4; ++n){
			temp = n;				// assign count to temp
			PTBD = temp << 6;		// shift 6 bits left and load to PTB
			wait();					// wait	
		}
	}
}


//   Function Prototypes

void wait(void);				// loop delay			 
